import * as db from "/data.js"

let form = document.getElementById("upload-form")
let submitButton = document.getElementById("submit-button")
let errorContainer = document.getElementById("error-container")
let errorEl = document.getElementById("error")

form.addEventListener("submit", async e => {
    e.preventDefault()
    submitButton.disabled = true
    errorContainer.hidden = true
    let data = new FormData(e.target);
    
    try {

        if(!data.get("title")){
            throw new Error("Veuillez donner le titre de la brochure")
        }

        if(!data.get("file")){
            throw new Error("Aucun fichier selectionne")
        }

        let details = {
            title: data.get("title")
        }

        if(data.get("author")){
            details.author = data.get("author")
        }

        if(data.get("upload-date")){
            details.uploadDate = data.get("upload-date")
        }

        document.location = await db.uploadDocument(data.get("file"), details)

    } catch(e){
        errorEl.textContent = `Erreur : ${e.message}`
        errorContainer.hidden = false
        console.error(e)
    }

    submitButton.disabled = false
})

// INIT

console.log()

let now = new Date();
form.elements["upload-date"].value = `${now.getFullYear()}-${(now.getMonth()+1).toString().padStart(2, "0")}-${(now.getDate()).toString().padStart(2, "0")}`
form.hidden = false;